Bug Hunting Session
Bug 118393 - FILESAVE: DOCX Export loses header/footer
Summary: FILESAVE: DOCX Export loses header/footer
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3 all versions
Hardware: All All
: medium normal
Assignee: Serge Krot (CIB)
URL:
Whiteboard: target:6.2.0 target:6.1.4
Keywords: filter:docx
Depends on:
Blocks: DOCX-Header-Footer
  Show dependency treegraph
 
Reported: 2018-06-26 14:30 UTC by Serge Krot (CIB)
Modified: 2019-04-11 09:46 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
ODT with header/footer including special title page (13.88 KB, application/vnd.oasis.opendocument.text)
2018-06-26 14:30 UTC, Serge Krot (CIB)
Details
screenshot with preview of the document (62.77 KB, image/png)
2018-09-27 04:59 UTC, BogdanB
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Serge Krot (CIB) 2018-06-26 14:30:01 UTC
Created attachment 143134 [details]
ODT with header/footer including special title page

During conversion of the attached document into DOCX the header/footer is lost.
Comment 1 Xisco Faulí 2018-06-26 14:55:43 UTC
Regression introduced by:

author	Miklos Vajna <vmiklos@collabora.co.uk>	2014-01-13 21:08:20 +0100
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2014-01-13 21:50:50 +0100
commit	8891d8c42df288a4f3c631e9c73b24489c6c83a0 (patch)
tree	f7d6591d496a568c69c40bc09a06f58c3d65bc25
parent	d4dd5c34dbf1344ccedb365a358e771ff91b0713 (diff)
writerfilter: move payload from rtf to ooxml namespace

Bisected with: bibisect-43max

Adding Cc: to Miklos Vajna
Comment 2 Miklos Vajna 2018-06-27 07:07:18 UTC
Serge, do you plan to look at this yourself at some stage? Sooner or later I would get to it, but if you investigate already then I won't waste my time. :-)
Comment 3 Serge Krot (CIB) 2018-06-27 10:52:22 UTC
(In reply to Miklos Vajna from comment #2)
> Serge, do you plan to look at this yourself at some stage? Sooner or later I
> would get to it, but if you investigate already then I won't waste my time.
> :-)

Yes, I have an idea how to fix this quickly, but the solution ( https://gerrit.libreoffice.org/#/c/56522/ ) inserts additional page breaks into the document where new section is started (in order to introduce new header/footer set). Any ideas?
Comment 4 Commit Notification 2018-09-19 08:51:28 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fa8b2c533265a6d74e16ffae55673d6aa0fbf6a5

tdf#118393: FILESAVE: DOCX Export loses header/footer

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 BogdanB 2018-09-27 04:59:07 UTC
Created attachment 145203 [details]
screenshot with preview of the document

Tested on:
Version: 6.2.0.0.alpha0+
Build ID: 67c8049a3abcaf9aa692fc9ba768b5db9fbb2f05
CPU threads: 4; OS: Linux 4.15; UI render: GL; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-09-25_20:09:22
Locale: ro-RO (ro_RO.UTF-8); Calc: threaded
Comment 6 Commit Notification 2018-11-01 14:07:35 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/8f648a4efad512627a3113dff4fb08111bd369b1%5E%21

tdf#118393: FILESAVE: DOCX Export loses header/footer

It will be available in 6.1.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.